EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Scripts_GetScriptTypeUsage',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ScriptTypes_Usage',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets usage data for the script types in the database.'
GO


IF OBJECT_ID('[Scripts_GetScriptTypeUsage]') IS NOT NULL DROP PROCEDURE [Scripts_GetScriptTypeUsage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Scripts_GetScriptTypeUsage]
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [ScriptTypes_Usage]

END
GO

GRANT EXECUTE ON [Scripts_GetScriptTypeUsage] TO [BuildMasterUser_Role]
