EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'TextTemplates_GetTemplate',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'TextTemplates',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified text template'
GO

IF OBJECT_ID('[TextTemplates_GetTemplate]') IS NOT NULL DROP PROCEDURE [TextTemplates_GetTemplate]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [TextTemplates_GetTemplate]
(
	@TextTemplate_Id INT
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT *
	  FROM [TextTemplates]
     WHERE [TextTemplate_Id] = @TextTemplate_Id

END
GO

GRANT EXECUTE ON [TextTemplates_GetTemplate] TO [BuildMasterUser_Role]