EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_GetSystemVariableDefinitions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'VariableDefinitions_System',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the variable definitions for system-scoped variables.'
GO


IF OBJECT_ID('[Variables_GetSystemVariableDefinitions]') IS NOT NULL DROP PROCEDURE [Variables_GetSystemVariableDefinitions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_GetSystemVariableDefinitions]
AS
BEGIN

    SET NOCOUNT ON

    SELECT * FROM [VariableDefinitions_System]


END
GO

GRANT EXECUTE ON [Variables_GetSystemVariableDefinitions] TO [BuildMasterUser_Role]