--AH:ScriptId=27495700-a0e3-4a85-9cb7-e34ce3441ee9;3007
CREATE TABLE [ScriptAssets]
(
	[ScriptAsset_Id] INT IDENTITY(1, 1) NOT NULL,
	[ScriptAsset_Name] VARCHAR(200) NOT NULL,
	[Application_Id] INT NULL,
	[Script_Text] VARBINARY(MAX) NOT NULL,
	[ModifiedBy_User_Name] USERNAME NOT NULL,
	[ModifiedOn_Date] DATETIME NOT NULL,

	CONSTRAINT [PK__ScriptAssets]
		PRIMARY KEY ([ScriptAsset_Id]),

	CONSTRAINT [FK__ScriptAssets__Applications]
		FOREIGN KEY ([Application_Id])
		REFERENCES [Applications] ([Application_Id])
		ON DELETE CASCADE,

	CONSTRAINT [UQ__ScriptAssets]
		UNIQUE ([Application_Id], [ScriptAsset_Name]),

	CONSTRAINT [CK__ScriptAssets__ScriptAsset_Name]
		CHECK (LTRIM(RTRIM([ScriptAsset_Name])) <> '')
)