EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Calendars_DeleteCalendar',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified calendar.'
GO


IF OBJECT_ID('[Calendars_DeleteCalendar]') IS NOT NULL DROP PROCEDURE [Calendars_DeleteCalendar]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Calendars_DeleteCalendar]
(
    @Calendar_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	DELETE [Calendars]
     WHERE [Calendar_Id] = @Calendar_Id

END
GO

GRANT EXECUTE ON [Calendars_DeleteCalendar] TO [BuildMasterUser_Role]